Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.security3
Class SecurityExceptionTranslator

    java.lang.Object
      org.springframework.flex.security3.SecurityExceptionTranslator

All Implemented Interfaces:
  ExceptionTranslator

    public class SecurityExceptionTranslator

extends Object
implements ExceptionTranslator

Translates SpringSecurityExceptions to appropriate BlazeDS SecurityExceptions.

Author:
  Jeremy Grelle

Constructor Summary
`SecurityExceptionTranslator()`

Method Summary
`boolean` | `handles(Class<?> clazz)` Checks if the translator can handle the specified exception class
`MessageException` | `translate(Throwable t)` Translate the specified exception into an appropriate `MessageException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityExceptionTranslator

    public SecurityExceptionTranslator()

Method Detail

### handles

    public boolean handles(Class<?> clazz)

  Checks if the translator can handle the specified exception class

  Specified by:
    `handles` in interface `ExceptionTranslator`
  Parameters:
    `clazz` - the class of the exception
  Returns:
    true if the exception type can be handled

### translate

    public MessageException translate(Throwable t)

  Translate the specified exception into an appropriate `MessageException`

  Specified by:
    `translate` in interface `ExceptionTranslator`
  Parameters:
    `t` - the original exception
  Returns:
    the translated exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.